-- phpMyAdmin SQL Dump
-- version 3.2.1deb1
-- http://www.phpmyadmin.net
--
-- Хост: localhost
-- Время создания: Авг 31 2009 г., 23:53
-- Версия сервера: 5.1.37
-- Версия PHP: 5.2.10-2ubuntu2

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- База данных: `nix-files`
--

-- --------------------------------------------------------

--
-- Структура таблицы `apt_mirrors`
--

DROP TABLE IF EXISTS `apt_mirrors`;
CREATE TABLE IF NOT EXISTS `apt_mirrors` (
  `id` int(5) NOT NULL AUTO_INCREMENT,
  `src_name` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `src_url` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `desk` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=17 ;

--
-- Дамп данных таблицы `apt_mirrors`
--

INSERT INTO `apt_mirrors` (`id`, `src_name`, `src_url`, `desk`) VALUES
(1, 'debian', 'ftp://ftp.us.debian.org/debian', ''),
(2, 'debian-security', 'ftp://security.debian.org/debian-security', ''),
(3, 'debian-multimedia', 'http://www.debian-multimedia.org', ''),
(4, 'ubuntu', 'http://archive.ubuntu.com/ubuntu', ''),
(5, 'ubuntu-security', 'http://security.ubuntu.com/ubuntu', ''),
(6, 'ubuntu-canonical', 'http://archive.canonical.com', ''),
(7, 'medibuntu', 'http://packages.medibuntu.org/', ''),
(8, 'infralinux', 'http://archive.infralinux.org/infralinux/', ''),
(9, '2gis', 'http://packages.redsolution.ru/2gis', ''),
(10, 'opera', 'http://deb.opera.com/opera/', ''),
(11, 'virtualbox', 'http://download.virtualbox.org/virtualbox/debian', ''),
(12, 'opera-beta', 'http://deb.opera.com/opera-beta/', ''),
(13, 'playonlinux', '', ''),
(14, 'freenx', '', ''),
(15, 'wesnoth', '', ''),
(16, 'xneur', '', '');

-- --------------------------------------------------------

--
-- Структура таблицы `categories`
--

DROP TABLE IF EXISTS `categories`;
CREATE TABLE IF NOT EXISTS `categories` (
  `id` int(2) NOT NULL AUTO_INCREMENT,
  `category` varchar(15) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=5 ;

--
-- Дамп данных таблицы `categories`
--

INSERT INTO `categories` (`id`, `category`) VALUES
(1, 'file'),
(2, 'repo'),
(3, 'info'),
(4, 'misc');

-- --------------------------------------------------------

--
-- Структура таблицы `details`
--

DROP TABLE IF EXISTS `details`;
CREATE TABLE IF NOT EXISTS `details` (
  `id` int(2) NOT NULL AUTO_INCREMENT,
  `title` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `description` text COLLATE utf8_unicode_ci NOT NULL,
  `link` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `talklink` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `resource_id` (`title`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=2 ;

--
-- Дамп данных таблицы `details`
--

INSERT INTO `details` (`id`, `title`, `description`, `link`, `talklink`) VALUES
(1, 'ftp.niX-FILES', 'Файлопомойко', 'ftp://ftp.nix-files.org.ru', 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=1846');

-- --------------------------------------------------------

--
-- Структура таблицы `members`
--

DROP TABLE IF EXISTS `members`;
CREATE TABLE IF NOT EXISTS `members` (
  `id` int(2) NOT NULL AUTO_INCREMENT,
  `nick` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `avatar` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `jabber` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `icq` int(15) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=9 ;

--
-- Дамп данных таблицы `members`
--

INSERT INTO `members` (`id`, `nick`, `avatar`, `jabber`, `icq`) VALUES
(1, 'Diffor', './img/avatar/diffor.jpg', 'diffor@jabber.ru', 0),
(2, 'firstleon', './img/avatar/firstleon.jpg', 'first-leon@jabber.ru', 0),
(3, 'SlipKnoT8', './img/avatar/slipknot8.gif', 'slipknot888@jabber.ru', 0),
(4, 'mistiman', './img/avatar/mistiman.png', '', 0),
(5, 'IK', './img/avatar/ik.jpg', '', 0),
(7, 'SP|Scream', './img/avatar/spscream.png', '', 0),
(8, 'Yamah', './img/avatar/yamah.png', '', 0);

-- --------------------------------------------------------

--
-- Структура таблицы `networks`
--

DROP TABLE IF EXISTS `networks`;
CREATE TABLE IF NOT EXISTS `networks` (
  `id` int(2) NOT NULL AUTO_INCREMENT,
  `network` varchar(15) COLLATE utf8_unicode_ci NOT NULL,
  `link` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=6 ;

--
-- Дамп данных таблицы `networks`
--

INSERT INTO `networks` (`id`, `network`, `link`) VALUES
(1, 'Глоб', ''),
(2, 'Интелби', 'http://www.intelbi.ru/'),
(3, 'Интелека', 'http://www.inteleca.ru/'),
(4, 'АГУ', 'http://www.asu.ru/'),
(5, 'АлтГПА', 'http://www.uni-altai.ru/');

-- --------------------------------------------------------

--
-- Структура таблицы `resources`
--

DROP TABLE IF EXISTS `resources`;
CREATE TABLE IF NOT EXISTS `resources` (
  `id` int(2) NOT NULL AUTO_INCREMENT,
  `category_id` int(2) NOT NULL,
  `resource` varchar(15) COLLATE utf8_unicode_ci NOT NULL,
  `picture` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `link_talk` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `link_res` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `category_id` (`category_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=12 ;

--
-- Дамп данных таблицы `resources`
--

INSERT INTO `resources` (`id`, `category_id`, `resource`, `picture`, `link_talk`, `link_res`) VALUES
(1, 1, 'ftp', './img/logo/ftp.png', 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=1846', 'ftp://ftp.nix-files.org.ru'),
(2, 2, 'apt', './img/logo/debian.png', 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=1370', 'http://apt.nix-files.org.ru'),
(3, 3, 'dicts', './img/logo/kdict.png', 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=1432', 'http://dicts.nix-files.org.ru'),
(4, 3, 'mans', './img/logo/khelpcenter.png', 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=1449', 'http://mans.nix-files.org.ru'),
(5, 2, 'gentoo', './img/logo/gentoo.png', 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=1860', 'http://gentoo.nix-files.org.ru'),
(6, 2, 'mandriva', './img/logo/mandrake.png', 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=2005', 'http://mandriva.nix-files.org.ru'),
(7, 2, 'arch', './img/logo/archlinux.png', 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=1884', 'http://arch.nix-files.org.ru'),
(8, 2, 'alt', './img/logo/altlinux.png', 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=2009', 'http://alt.nix-files.org.ru'),
(9, 2, 'freebsd', './img/logo/freebsd.png', 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=1990', 'http://freebsd.nix-files.org.ru'),
(10, 4, 'www', './img/logo/www.png', 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=1858', 'http://www.nix-files.org.ru'),
(11, 4, 'fail', './img/logo/fail.png', '', 'http://fail.nix-files.org.ru');

-- --------------------------------------------------------

--
-- Структура таблицы `res_mem_rank`
--

DROP TABLE IF EXISTS `res_mem_rank`;
CREATE TABLE IF NOT EXISTS `res_mem_rank` (
  `id` int(5) NOT NULL AUTO_INCREMENT,
  `resource_id` int(2) NOT NULL,
  `network_id` int(2) NOT NULL,
  `member_id` int(2) NOT NULL,
  `rank_id` int(2) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `resource_id` (`rank_id`),
  KEY `member_id` (`member_id`),
  KEY `network_id` (`network_id`),
  KEY `resource_id_2` (`resource_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=39 ;
